com.holonplatform.jaxrs.client

## Interface JaxrsRestClient

- All Superinterfaces:
    com.holonplatform.http.rest.RestClient, com.holonplatform.http.rest.RestClientOperations<com.holonplatform.http.rest.RestClient,com.holonplatform.http.rest.RestClient.RequestDefinition>

      public interface JaxrsRestClient
      extends com.holonplatform.http.rest.RestClient

  A `RestClient` using a JAX-RS `Client` to perform invocations.
  Since:
    5.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.http.rest.RestClient

      `com.holonplatform.http.rest.RestClient.Invocation, com.holonplatform.http.rest.RestClient.RequestDefinition`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.http.rest.RestClientOperations

      `com.holonplatform.http.rest.RestClientOperations.InvocationOperations<RE,RP,RS,RL,RU>, com.holonplatform.http.rest.RestClientOperations.RequestConfiguration<R extends com.holonplatform.http.rest.RestClientOperations.RequestConfiguration<R>>`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.holonplatform.http.rest.RestClient` | `create()` Create a `RestClient` using the default client builder implementation class provided by the JAX-RS implementation provider.
    `static com.holonplatform.http.rest.RestClient` | `create(javax.ws.rs.client.Client client)` Create a `RestClient` using given JAX-RS `client`.
    `javax.ws.rs.client.Client` | `getClient()` Get the JAX-RS Client bound to this RestClient.

    - ### Methods inherited from interface com.holonplatform.http.rest.RestClient

      `create, create, create, forTarget, forTarget`

    - ### Methods inherited from interface com.holonplatform.http.rest.RestClientOperations

      `clearDefaultHeaders, defaultTarget, getDefaultTarget, removeDefaultHeader, request, withDefaultHeader`

- - ### Method Detail

    - #### getClient

          javax.ws.rs.client.Client getClient()

      Get the JAX-RS Client bound to this RestClient.
      Returns:
        the JAX-RS Client

    - #### create

          static com.holonplatform.http.rest.RestClient create(javax.ws.rs.client.Client client)

      Create a `RestClient` using given JAX-RS `client`.
      Parameters:
        `client` - JAX-RS `Client` to perform invocations (not null)
      Returns:
        A new RestClient instance

    - #### create

          static com.holonplatform.http.rest.RestClient create()

      Create a `RestClient` using the default client builder implementation class provided by the JAX-RS implementation provider.
      Specified by:
        `create` in interface `com.holonplatform.http.rest.RestClient`
      Returns:
        A new RestClient instance

Copyright © 2019 The Holon Platform. All rights reserved.